Subject: [Hipsec] Re-purposing HIP parameters

From: Robert Moskowitz <[email-masked]>
Date: Tue, 25 May 2010 16:03:22 -0400

This is primarily about what in 5201 is HIP_HMAC and HMAC2.

I have renamed them HIP_MAC in 5201-bis, but HMAC is still the 
underlying function.

But in HIP DEX, I am using CMAC.  This is actually not so easy a change, 
as CMAC requires a uniformly randomly distributed key, unlike HMAC, and 
DIffie-Hellman keys are NOT uniformly randomly distributed.  But I've 
worked that part out.  And I have a HIP_MAC that if you are doing a DEX 
exchange will be just fine with CMAC.  Thing is do implementors want to 
have they code for HIP_MAC be dependent on knowing this is a BEX or DEX 
exchange (note the HIT_SUITE will key this key this off very easily)?